
-- Author: Ian898
-- Date: 20/06/2018

SpecializationUtil.registerSpecialization("lightHudAddon", "lightHudAddon", g_currentModDirectory.."lightHudAddon.lua")

register_lightHudAddon = {}

function register_lightHudAddon:loadMap(name)
	for _, vehicle in pairs(VehicleTypeUtil.vehicleTypes) do
		local drivable = false
		local lightHudAddon = false
		for _, spec in pairs(vehicle.specializations) do
			if spec == SpecializationUtil.getSpecialization("drivable") then
				drivable = true
			end
			if spec == SpecializationUtil.getSpecialization("lightHudAddon") then
				lightHudAddon = true
			end
		end	
		if drivable and not lightHudAddon then
			table.insert(vehicle.specializations, SpecializationUtil.getSpecialization("lightHudAddon"))
		end
	end
 end
 
function register_lightHudAddon:deleteMap()end
function register_lightHudAddon:keyEvent(unicode, sym, modifier, isDown)end
function register_lightHudAddon:mouseEvent(posX, posY, isDown, isUp, button)end
function register_lightHudAddon:update(dt)end
function register_lightHudAddon:draw()end

addModEventListener(register_lightHudAddon)